#ifndef _GUI_INTERFACE_H_
#define _GUI_INTERFACE_H_

#include "loc_graphics.h"
#include "TYW_stdint.h"
#include "images.h"

void GUI_General_Display(SpriteName_t SpriteID, uint16_t ImageID, uint8_t u8BlendEn);
void GUI_Translate_Display(SpriteName_t SpriteID, uint16_t ImageID, uint16_t Posx, uint16_t Posy, uint8_t u8BlendEn);
void GUI_General_Digit_Display(SpriteName_t SpriteID, uint32_t Digit, uint16_t u16Font, uint8_t Len, uint8_t Blank, const uint16_t *px, uint16_t y, uint8_t u8BlendEn);
void GUI_Unicode_Display(SpriteName_t SpriteID, uint16_t Posx, uint16_t Posy, uint16_t Unicode[], uint8_t Length, uint32_t Color);

void GUI_General_Digit16_Display(SpriteName_t SpriteID, uint32_t Digit, uint16_t u16Font, uint8_t Len, uint8_t Blank, const uint16_t *px, uint16_t y, uint8_t u8BlendEn);

#endif
